### Signal

# Adw Sidebar::drop-value-loaded

since: 1.9

#### Declaration

    GdkDragAction
    drop_value_loaded (
      AdwSidebar* self,
      guint index,
      const GValue* value,
      gpointer user_data
    )

#### Description [src]

Emitted when the dropped content is preloaded for the item at `index`.

In order for data to be preloaded, `AdwSidebar:drop-preload` must be set to `TRUE`.

The content must be of one of the types set up via `adw_sidebar_setup_drop_target()`.

See `GtkDropTarget:value`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.9

#### Parameters

`index`

  Type: `guint`

  Index of the hovered item.

`value`

  Type: `GValue`

  The `GValue` being dropped.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkDragAction`

The preferred action for the drop.